//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 14 textures and 73 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 09/27/1996    (27.09.1996)
//

#max_trace_level 100

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//




camera {  //  Camera Camera01
  location  <27.500, 36.700, 7.000>
  direction <0.0,     0.0,  1.8316>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 1.200, -0.800>
}

// *******  L I G H T S *******
light_source { // AreaL002
  <33.700, 19.500, 8.900>
  color  rgb<0.796, 0.796, 0.796>
  area_light <2.294, -3.050, -1.198>, <1.043, 2.066, -3.263>, 3, 3
  adaptive 1
  jitter
}


light_source { // AreaL001
  <2.400, 25.800, 17.500>
  color  rgb<0.898, 0.898, 0.898>
  area_light <6.813, 2.480, -3.381>, <-3.465, 6.962, -1.877>, 3, 3
  adaptive 1
  jitter
}



// ********  TEXTURES  *******
//

#include "timemach.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******





union { // oil_can_red
  box { // oil_main_1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      oil_can
    }
    scale <2.0, 1.5, 2.5>
    translate  <8.0, -15.0, -2.9>
  }
  cylinder { // oil_cap
    <0,0,1>, <0,0,0>, 1
    texture {
      Spun_Brass1
    }
    scale <0.5, 0.5, 2.0>
    translate  <7.7, -15.0, -1.7>
  }
  cylinder { // oil_cap1
    <0,0,1>, <0,0,0>, 1
    texture {
      glass
    }
    scale <0.75, 0.75, 0.5>
    translate  <7.7, -15.0, 0.1>
  }
  cone { // oil_open
    <0,0,0>, 0.25, <0,0,1>, 0.5
    open
    texture {
      oil_can
    }
    scale <1.0, 1.0, 3.0>
    rotate <-180.0, -60.0, -180.0>
    translate  <12.2, -15.0, -0.1>
  }
  cone { // oil_open1
    <0,0,0>, 0.1, <0,0,1>, 0.24
    open
    texture {
      oil_can
    }
    scale <1.0, 1.0, 3.0>
    rotate <180.0, -80.0, 180.0>
    translate  <15.1, -15.0, 0.4>
  }
  scale <0.75, 0.75, 0.9>
  translate  <2.6, -0.4, -0.7>
}


cylinder { // clips1
  <0,0,1>, <0,0,0>, 1
  texture {
    glass
  }
  scale <0.2, 0.2, 1.0>
  rotate -90.0*y
  translate  <-20.5, -16.9, 11.3>
}


cylinder { // clips
  <0,0,1>, <0,0,0>, 1
  texture {
    glass
  }
  scale <0.2, 0.2, 1.0>
  rotate -90.0*y
  translate  <-20.5, 1.9, 11.2>
}


box { // MAP2
  <-1, -1, -1>, <1, 1, 1>
  texture {
    map_me_too
  }
  scale <0.25, 10.0, 5.0>
  translate  <-21.4, -7.5, 6.9>
}


// Include contains 'pliers'
#include "timemach.in1"

object {
  pliers_Raw
  texture {
    metal
  }
  scale <2.0, 2.5, 0.25>
  rotate 120.0*z
  translate  <10.3, 13.4, -5.4>
}


#declare cable = union {
  torus { // cable_1
    0.85, 0.2  rotate -x*90
    translate  <5.6, 12.3, -3.7>
  }
  torus { // cable_2
    0.85, 0.2  rotate -x*90
    translate  <5.6, 12.3, -4.1>
  }
  torus { // cable_3
    0.85, 0.2  rotate -x*90
    translate  <5.6, 12.3, -4.5>
  }
  torus { // cable_4
    0.85, 0.2  rotate -x*90
    translate  <5.6, 12.3, -4.9>
  }
  cylinder { // wire
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 1.5>
    rotate <13.010856, -80.039833, -87.984459>
    translate  <6.8, 10.8, -5.3>
  }
  texture {
    glass
  }
}
#declare cable_wire = union {
  cylinder { // cable_body_1
    <0,0,1>, <0,0,0>, 1
    scale <0.75, 0.75, 2.0>
    translate  <5.6, 12.3, -5.4>
  }
  cylinder { // cable_body_2
    <0,0,1>, <0,0,0>, 1
    scale <1.0, 1.0, 0.5>
    translate  <5.6, 12.3, -5.6>
  }
  cylinder { // cable_body_3
    <0,0,1>, <0,0,0>, 1
    scale <1.0, 1.0, 0.5>
    translate  <5.6, 12.3, -3.7>
  }
  texture {
    TimeMachine_Body
  }
}
union { // cableman
  object { cable }
  object { cable_wire }
  cylinder { // wire1
    <0,0,1>, <0,0,0>, 1
    texture {
      Chrome_Metal1
    }
    scale <0.1, 0.1, 1.5>
    rotate <97.971725, -87.931213, -173.18808>
    translate  <7.0, 10.0, -5.3>
  }
}


box { // mach_plan
  <-1, -1, -1>, <1, 1, 1>
  texture {
    map_me
  }
  scale <5.0, 7.0, 0.05>
  translate  <10.8, 2.9, -5.5>
}


#declare door_nob1 = union {
  cylinder { // d_nob_p1
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 1.0>
    rotate -90.0*x
    translate  <1.5, -26.0, 4.0>
  }
  sphere { // door_nob_p2
    <0,0,0>,1
    texture {
      Spun_Brass1
    }
    scale 0.75
    translate  <1.5, -24.0, 4.0>
  }
  texture {
    Spun_Brass1
  }
}
#declare door_nob2 = union {
  cylinder { // d_nob_p2
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 1.0>
    rotate -90.0*x
    translate  <1.5, -26.0, 4.0>
  }
  sphere { // door_nob_p3
    <0,0,0>,1
    texture {
      Spun_Brass1
    }
    scale 0.75
    translate  <1.5, -24.0, 4.0>
  }
  texture {
    Spun_Brass1
  }
  translate  -3.0*x
}
union { // door
  box { // door_1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood4
    }
    scale <5.0, 1.0, 10.0>
    translate  <4.8, -26.5, 4.5>
  }
  box { // door_2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFWood4
    }
    scale <5.0, 1.0, 10.0>
    translate  <-5.25, -26.5, 4.5>
  }
  object { door_nob1 }
  object { door_nob2 }
}


union { // room
  box { // wall_1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      stonish_floor
    }
    scale <50.0, 50.0, 1.0>
    translate  -6.5*z
  }
  box { // wall_2
    <-1, -1, -1>, <1, 1, 1>
    scale <50.0, 50.0, 1.0>
    rotate -90.0*x
    translate  <0.0, 35.0, -6.5>
  }
  box { // wall_3
    <-1, -1, -1>, <1, 1, 1>
    scale <50.0, 50.0, 1.0>
    rotate -90.0*x
    translate  <0.0, -35.0, -6.5>
  }
  box { // wall_4
    <-1, -1, -1>, <1, 1, 1>
    scale <50.0, 50.0, 1.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-25.0, 0.0, -6.5>
  }
  box { // wall_5
    <-1, -1, -1>, <1, 1, 1>
    scale <50.0, 50.0, 1.0>
    translate  25.0*z
  }
  texture {
    walls
  }
  translate  <2.6, 8.4, 0.0>
}


#declare body_p1 = merge {
  sphere { // body_main_1
    <0,0,0>,1
    scale 4.0
  }
  cone { // body_main_2
    <0,0,0>, 1.0, <0,0,1>, 4.0
    scale <1.0, 1.0, 12.0>
    rotate 90.0*x
    translate  12.0*y
  }
  sphere { // body_nose
    <0,0,0>,1
    translate  12.0*y
  }
  texture {
    TimeMachine_Body
  }
  rotate -14.25*x
}
#declare engine_1 = union {
  cylinder { // engine_b_1
    <0,0,1>, <0,0,0>, 1 open
    scale <1.0, 1.0, 3.0>
    rotate -90.0*x
    translate  -8.0*y
  }
  cylinder { // engine_hold_1
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    translate  <0.0, -6.0, -1.0>
  }
  cylinder { // engine_hold_2
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    rotate -90.0*y
    translate  <1.0, -6.0, 0.0>
  }
  torus { // engine_rounder1
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -8.0*y
  }
  torus { // engine_rounde2
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -7.0*y
  }
  torus { // engine_rounde3
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -6.0*y
  }
  texture {
    Chrome_Metal1
  }
}
#declare engine_2 = union {
  cylinder { // engine_b_2
    <0,0,1>, <0,0,0>, 1 open
    scale <1.0, 1.0, 3.0>
    rotate -90.0*x
    translate  -8.0*y
  }
  cylinder { // engine_hold_3
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    translate  <0.0, -6.0, -1.0>
  }
  cylinder { // engine_hold_4
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    rotate -90.0*y
    translate  <1.0, -6.0, 0.0>
  }
  torus { // engine_rounde4
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -8.0*y
  }
  torus { // engine_rounde5
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -7.0*y
  }
  torus { // engine_rounde6
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -6.0*y
  }
  texture {
    Chrome_Metal1
  }
  translate  <5.0, -1.0, 0.0>
}
#declare engine_3 = union {
  cylinder { // engine_b_3
    <0,0,1>, <0,0,0>, 1 open
    scale <1.0, 1.0, 3.0>
    rotate -90.0*x
    translate  -8.0*y
  }
  cylinder { // engine_hold_5
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    translate  <0.0, -6.0, -1.0>
  }
  cylinder { // engine_hold_6
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    rotate -90.0*y
    translate  <1.0, -6.0, 0.0>
  }
  torus { // engine_rounde7
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -8.0*y
  }
  torus { // engine_rounde8
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -7.0*y
  }
  torus { // engine_rounde9
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -6.0*y
  }
  texture {
    Chrome_Metal1
  }
  translate  <-5.0, -1.0, 0.0>
}
#declare engine_4 = union {
  cylinder { // engine_b_4
    <0,0,1>, <0,0,0>, 1 open
    scale <1.0, 1.0, 3.0>
    rotate -90.0*x
    translate  -8.0*y
  }
  cylinder { // engine_hold_7
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    translate  <0.0, -6.0, -1.0>
  }
  cylinder { // engine_hold_8
    <0,0,1>, <0,0,0>, 1
    scale <0.2, 0.2, 2.0>
    rotate -90.0*y
    translate  <1.0, -6.0, 0.0>
  }
  torus { // engine_round10
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -8.0*y
  }
  torus { // engine_round11
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -7.0*y
  }
  torus { // engine_round12
    1.05, 0.15  rotate -x*90
    texture {
      Spun_Brass1
    }
    rotate -90.0*x
    translate  -6.0*y
  }
  texture {
    Chrome_Metal1
  }
  translate  <0.0, -1.5, 5.0>
}
#declare back_engine = union {
  cylinder { // back_engine_1
    <0,0,1>, <0,0,0>, 1
    texture {
      Polished_Bras1
    }
    scale <0.5, 0.5, 2.5>
    rotate -90.0*x
    translate  -6.0*y
  }
  cylinder { // support_engine1
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 10.0>
    rotate -90.0*y
    translate  <5.0, -5.0, 0.0>
  }
  cylinder { // eng_sup_sub1
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 3.0>
    rotate -90.0*x
    translate  <5.0, -7.0, 0.0>
  }
  cylinder { // eng_sup_sub2
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 3.0>
    rotate -90.0*x
    translate  <-5.0, -7.0, 0.0>
  }
  cylinder { // engine_sup_1
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 5.0>
    translate  -5.0*y
  }
  cylinder { // eng_sup_sub_3
    <0,0,1>, <0,0,0>, 1
    scale <0.5, 0.5, 3.0>
    rotate -90.0*x
    translate  <0.0, -7.0, 5.0>
  }
  object { engine_1 }
  object { engine_2 }
  object { engine_3 }
  object { engine_4 }
  texture {
    Polished_Bras1
  }
}
#declare mach_stand = union {
  cylinder { // stand_p1
    <0,0,1>, <0,0,0>, 1
    scale <1.0, 1.0, 3.0>
    translate  <0.0, 2.0, -5.0>
  }
  torus { // stand_p2
    1.5, 0.5  rotate -x*90
    scale <1.5, 1.5, 1.0>
    translate  <0.0, 2.0, -5.0>
  }
  cylinder { // stand_sq_1
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 5.0>
    rotate -90.0*x
    translate  <0.0, -0.5, -5.0>
  }
  cylinder { // stand_sq_2
    <0,0,1>, <0,0,0>, 1
    scale <0.25, 0.25, 5.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.5, 2.0, -5.0>
  }
  texture {
    Copper_Metal1
  }
}
#declare front_engs = union {
  cylinder { // front_eng_sup_1
    <0,0,1>, <0,0,0>, 1
    texture {
      Polished_Bras1
    }
    scale <0.5, 0.5, 10.0>
    rotate -90.0*y
    translate  <5.0, 4.0, 0.0>
  }
  cone { // engione_p_1
    <0,0,0>, 1.0, <0,0,1>, 2.0
    open
    texture {
      Gold_Texture1
    }
    scale <1.0, 1.0, 8.0>
    rotate <0.0, -70.0, 70.0>
    translate  <-4.0, 8.0, -2.5>
  }
  cone { // engione_p_2
    <0,0,0>, 1.0, <0,0,1>, 2.0
    open
    texture {
      Gold_Texture1
    }
    scale <1.0, 1.0, 8.0>
    rotate <0.0, 70.0, -70.0>
    translate  <4.0, 8.0, -2.5>
  }
}
union { // TIME_MACHINE
  object { body_p1 }
  cylinder { // wind_shield
    <0,0,1>, <0,0,0>, 1
    texture {
      glass
    }
    scale <3.0, 2.0, 4.0>
    rotate 65.0*x
    translate  <0.0, 3.8, 0.25>
  }
  object { back_engine }
  object { mach_stand }
  object { front_engs }
}


